namespace PkmnLib.Plugin.Gen7.Scripts.MoveVolatile;

[Script(ScriptCategory.MoveVolatile, "me_first")]
public class MeFirstPowerBoost : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower) =>
        basePower = basePower.MultiplyOrMax(1.5f);
}